Bug 747809 - Translation editor: "ghost" translation was shown if cell was cleared with Save as NeedReview
Translation editor: "ghost" translation was shown if cell was cleared with Sa...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.4.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: Zanata-1.4.2 748696
  Show dependency treegraph
 
Reported: 2011-10-21 00:02 EDT by Ding-Yi Chen
Modified: 2011-10-28 03:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-10-21 00:02:17 EDT
Description of problem:
If a non-empty cell was clear with Save as NeedReview.
"Ghost" translation, that is, non-existing translation shown in the supposed-to-be cleared cell.

Version-Release number of selected component (if applicable):
Zanata version 1.4.2-SNAPSHOT (20111021-1207)

How reproducible:
Always

Steps to Reproduce:
1. Find a non-empty cell, or use clone source and "Save as approved" to create one.
2. Click at that cell, clear the content, then "Save as NeedReview"
3. Click at other cell.
  
Actual results:
Ghost translation appeared, yet if you click on the Ghost translation, the translation disappeared as it should.

Expected results:
Cleared cell remain empty.
Comment 1 Runa Bhattacharjee 2011-10-21 04:28:40 EDT
At step 2, if a new translation is added after clearing the content and the cell marked as 'NeedReview', the ghost translation (or last saved translation for that cell) is still displayed.

Expected Results for cell with previous translation:

updated translation marked for review needs to be displayed in the cell.
Comment 3 Ding-Yi Chen 2011-10-25 22:30:40 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111025-0954)

Note You need to log in before you can comment on or make changes to this bug.